package de.ozgcloud.nachrichten.antragraum;

import org.mapstruct.AnnotateWith;
import org.mapstruct.AnnotateWith.Element;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;
import org.springframework.stereotype.Component;

import de.ozgcloud.apilib.file.OzgCloudFile;
import de.ozgcloud.nachrichten.NachrichtenManagerConfiguration;

@AnnotateWith(value = Component.class, elements = @Element(strings = NachrichtenManagerConfiguration.NACHRICHTEN_OZG_CLOUD_FILE_MAPPER))
@Mapper(nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS, unmappedTargetPolicy = ReportingPolicy.WARN)
interface OzgCloudFileMapper {

	@Mapping(target = "mergeFrom", ignore = true)
	@Mapping(target = "clearField", ignore = true)
	@Mapping(target = "clearOneof", ignore = true)
	@Mapping(target = "mergeUnknownFields", ignore = true)
	@Mapping(target = "contentTypeBytes", ignore = true)
	@Mapping(target = "nameBytes", ignore = true)
	@Mapping(target = "unknownFields", ignore = true)
	@Mapping(target = "allFields", ignore = true)
	GrpcFileMetadata toMetadata(OzgCloudFile file);
}
