package de.ozgcloud.nachrichten.postfach.bayernid;

import org.apache.commons.lang3.StringUtils;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

import lombok.extern.log4j.Log4j2;

@Log4j2
@Component
@ConditionalOnProperty(prefix = "ozgcloud.bayernid", name = { "enabled" })
class BayernIdPostfachResponseHandler {

	public void handleResponse(BayernIdResponse bayernIdResponse) {
		if (bayernIdResponse.isSuccess()) {
			return;
		}
		var message = StringUtils.defaultIfBlank(bayernIdResponse.getMessage(), "Cannot send message to BayernID.");
		throw new BayernIdServerException(message, MailSendingResponseStatus.fromSchluessel(bayernIdResponse.getStatus()));
	}
}
