package de.ozgcloud.nachrichten;

import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.context.annotation.ComponentScan;

import de.ozgcloud.apilib.common.command.OzgCloudCommandService;
import de.ozgcloud.apilib.file.OzgCloudFileService;
import de.ozgcloud.nachrichten.postfach.BinaryFileService;
import de.ozgcloud.nachrichten.postfach.muk.MukPostfachConfiguration;

@SpringBootApplication
@ComponentScan(basePackages = "de.ozgcloud.*")
public class NachrichtenManagerTestApplication {

	@MockBean
	private OzgCloudCommandService ozgCloudCommandService;
	@MockBean
	@Qualifier(NachrichtenManagerConfiguration.OZG_CLOUD_FILE_SERVICE_NAME)
	private OzgCloudFileService nachrichtenOzgCloudFileServices;
	@MockBean
	@Qualifier(MukPostfachConfiguration.OZG_CLOUD_FILE_SERVICE_NAME)
	private OzgCloudFileService mukOzgCloudFileServices;
	@MockBean
	private BinaryFileService binaryFileService;

}
