package de.ozgcloud.nachrichten.postfach;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

class AttachedItemServiceTest {

	@InjectMocks
	private AttachedItemService service;

	@Mock
	private AttachedItemRemoteService remoteService;

	@Nested
	class TestGetPostfachNachricht {

		private final PostfachNachricht postfachNachricht = PostfachNachrichtTestFactory.create();

		@Test
		void shouldCallRemoteService() {
			callGetPostfachNachricht();

			verify(remoteService).getPostfachNachrichtById(PostfachNachrichtTestFactory.ID);
		}

		@Test
		void shouldReturnPostfachNachricht() {
			when(remoteService.getPostfachNachrichtById(PostfachNachrichtTestFactory.ID)).thenReturn(postfachNachricht);

			var result = callGetPostfachNachricht();

			assertThat(result).isEqualTo(postfachNachricht);
		}

		private PostfachNachricht callGetPostfachNachricht() {
			return service.getPostfachNachricht(PostfachNachrichtTestFactory.ID);
		}
	}

}
